local function LoopStack( )
	local c = 0
	
	while true do 
		local valid, inf = pcall( debug.getinfo, c )
	
		if not valid or not inf then
			break
		end
		
		MsgN( '[ loopstack ] valid index ' .. c .. ' ' .. ( inf.what == 'main' and '(self)' or '(outside)' ) )
		PrintTable( inf )
		
		c = c + 1
	end 

	MsgN( 'nn[ loopstack ] broke at index ' .. c )
end